<template>
    <div>
        <SprintForm v-bind:sprint="sprint" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></SprintForm>
    </div>
</template>

<script>
import SprintForm from './Sprint.Form.vue';
import { editProject } from '@/api/projects.service.js';
export default {
    data() {
        return {
            sprint: {
            }
        }
    },
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        }
    },
    components: {
        SprintForm
    },
    created() {
        this.$store.dispatch('getAllUsers');
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            if(!this.project.sprints){
                this.project.sprints = new Array();
            }
            this.project.sprints.push(this.sprint);
            let id = this.project._id;
            editProject(id,this.project).then(() => {
                this.$store.dispatch('setProjectById',this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {

        }
    }
}
</script>

<style>

</style>
